# SPDX-License-Identifier: FSFAP
# Copyright (C) 2023 Edith Coates

# If you are working with VSC and wish to start up a
# docker/django debugging server, copy + uncomment this text into
# plom/.vscode/launch.json
# {
#     "version": "0.2.0",
#     "configurations": [
#         {
#             "name": "Python: Django",
#             "type": "python",
#             "request": "attach",
#             "pathMappings": [
#                 {
#                     "localRoot": "${workspaceFolder}/django",
#                     "remoteRoot": "/code"
#                 }
#             ],
#             "port": 3000,
#             "host": "127.0.0.1"
#         },
#     ]
# }

services:
  nginx:
    build: ./nginx
    ports:
      - 1300:80
    depends_on:
      - web
  web:
    build: .
    ports:
      - 8000:8000
      - 3000:3000
    expose:
      - 8000
    command: ./docker_run.sh
    volumes:
      - .:/code
    depends_on:
      - postgres
  postgres:
    image: postgres:13
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - "POSTGRES_HOST_AUTH_METHOD=trust"
      - "POSTGRES_DB=plom_db"
      - "POSTGRES_USER=postgres"
      - "POSTGRES_PASSWORD=postgres"

volumes:
  postgres_data:
